import java.util.Comparator;

//"http://www.javadeveloper.co.in/java-example/java-comparator-example.html" was used as a reference

/**
	This class is used as the Comparator for the Person class, it enables the comparison
	of two Person objects based on Last Name, and if the Last Nights are equal then
	it compares the first name. 
*/
public class PersonComparator implements Comparator<Object> {

/**
	This method is the method used to compare two person objects. It takes the last names
	and compares them using the String class' compareToIgnoreCase method, which returns a
	number bigger than one, less than one, or equal to 0 depending on if the last name
	is greater than, less than, or equal to. If they are equal, then it moves on to first
	name and does the same comparison with the first names.
	@param per1, the first person object to be compared
	@param per2, the second person object to be compared
*/
	public int compare(Object per1, Object per2)
	{
		String per1LastName = ( (Person) per1).getLastName();
		String per2LastName = ( (Person) per2).getLastName();
		int lastNameCompare = per1LastName.compareToIgnoreCase(per2LastName);
		if (lastNameCompare != 0) //if last names are not equal, returns comparison of last names
		{
			return lastNameCompare;
		}//end if
		else
		{
			String per1FirstName = ( (Person) per1).getFirstName();
			String per2FirstName = ( (Person) per2).getFirstName();
			int firstNameCompare = per1FirstName.compareToIgnoreCase(per2FirstName);
			return firstNameCompare;//returns even if equal because no more names to compare
		}//end else
	}//end compare(Person per1, Person per2)
	
}//end class PersonComparator
